def create_dictionary(n):
    """
    Створює словник для збереження даних із заданої предметної області.

    Аргументи:
      n: Кількість записів у словнику.

    Повертає:
      Створений словник.
    """

    # Створюємо словник для зберігання даних.

    dictionary = {}

    # Проходимо циклом n разів і вводимо з клавіатури прізвище та номер телефону.

    for _ in range(n):
        surname = input("Введіть прізвище: ")
        phone_number = input("Введіть номер телефону: ")

        # Додаємо в словник новий запис.

        dictionary[surname] = phone_number

    return dictionary


def find_phone_number(dictionary, surname):
    """
    Визначає, чи є в записнику телефон певної особи, і, якщо є, друкує номер її телефону.

    Аргументи:
      dictionary: Словник для зберігання даних.
      surname: Прізвище особи, номер телефону якої необхідно знайти.

    Повертає:
      Номер телефону особи, якщо він знайдений, або None, якщо він не знайдений.
    """

    # Шукаємо в словнику запис із заданим прізвищем.

    phone_number = dictionary.get(surname)

    # Якщо запис знайдений, друкуємо номер телефону.

    if phone_number is not None:
        print("Номер телефону", surname, "є в записнику:", phone_number)
    else:
        print("Номер телефону", surname, "немає в записнику.")


def find_surname(dictionary, phone_number):
    """
    Визначає, чи є в записнику інформація про людину із заданим номером телефону, і, якщо є, виводить прізвище цієї людини.

    Аргументи:
      dictionary: Словник для зберігання даних.
      phone_number: Номер телефону особи, інформацію про яку необхідно знайти.

    Повертає:
      Прізвище особи, якщо вона знайдена, або None, якщо вона не знайдена.
    """

    # Шукаємо в словнику запис із заданим номером телефону.

    surname = dictionary.get(phone_number)

    # Якщо запис знайдений, виводимо прізвище особи.

    if surname is not None:
        print("Прізвище особи з номером телефону", phone_number, "є в записнику:", surname)
    else:
        print("Прізвище особи з номером телефону", phone_number, "немає в записнику.")


if __name__ == "__main__":
    # Створюємо словник для збереження даних.

    dictionary = {
        "Іванов": "+380501234567",
        "Петров": "+380671234567",
        "Сидоров": "+380951234567",
        "Васильєв": "+380441234567",
        "Михайлов": "+380051234567",
        "Соколов": "+380731234567",
        "Козлов": "+380801234567",
        "Лазарєв": "+380971234567",
        "Кузнецов": "+380061234567",
    }

    # Знаходимо телефон певної особи.

    surname = input("Введіть прізвище особи, номер телефону якої необхідно знайти: ")
    find_phone_number(dictionary, surname)

    # Знаходимо інформацію про людину із заданим номером телефону.

    phone_number = input("Введіть номер телефону особи, інформацію про яку необхідно знайти: ")
    find_surname(dictionary, phone_number)
